Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOTranceportDailyData.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOTranceportDailyData.cs	(nonexistent)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOTranceportDailyData.cs	(revision 52)
@@ -0,0 +1,511 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Data;
+using System.Collections;
+
+using log4net;
+using Oracle.ManagedDataAccess.Client;
+
+using ProcessManagement.DB.Oracle;
+using ProcessManagement.DB.Core;
+using ProcessManagement.DataModel;
+using ProcessManagement.Common;
+
+namespace ProcessManagement.DB.IOAccess
+{
+    /// <summary>
+    /// 出勤日報データＤＢアクセス
+    /// </summary>
+    public class IOTranceportDailyData : OracleProcess
+    {
+        #region 定義部
+        /// <summary>
+        /// log4netログを使用する
+        /// </summary>
+        private static readonly ILog logger = LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        /// <summary>
+        /// データフィールド並び
+        /// </summary>
+        public enum DataColumn
+        {
+            /// <summary>
+            /// 作成者コード
+            /// </summary>
+            PersonCode,
+            /// <summary>
+            /// 日報作成日
+            /// </summary>
+            AttendanceDate,
+            /// <summary>
+            /// 当日出発キロ数
+            /// </summary>
+            StartDistance,
+            /// <summary>
+            /// 当日終了キロ数
+            /// </summary>
+            ComplateDistance,
+            /// <summary>
+            /// 当日合計キロ数
+            /// </summary>
+            TotalDistance,
+            /// <summary>
+            /// 事務所出勤フラグ
+            /// </summary>
+            OfficeGoFlg,
+            /// <summary>
+            /// 事務所帰宅フラグ
+            /// </summary>
+            OfficeOutFlg,
+            /// <summary>
+            /// 有料通勤出勤フラグ
+            /// </summary>
+            TrancePayGoFlg,
+            /// <summary>
+            /// 有料通勤帰宅フラグ
+            /// </summary>
+            TrancePayOutFlg,
+            /// <summary>
+            /// 資材置場フラグ
+            /// </summary>
+            WareHouseFlg,
+            /// <summary>
+            /// 登録年月日
+            /// </summary>
+            EntryDate,
+            /// <summary>
+            /// 更新年月日
+            /// </summary>
+            UpdateDate,
+        }
+        #endregion
+
+        #region コンストラクタ
+        /// <summary>
+        /// コンストラクタ
+        /// </summary>
+        /// <param name="ConnectionString"></param>
+        public IOTranceportDailyData()
+            : base(DBCommon.Instance.DBConnectString)
+        {
+        }
+
+        #endregion
+
+        #region SQL作成
+        /// <summary>
+        /// SQL作成
+        /// </summary>
+        private string CreateSelectSQL()
+        {
+            // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+            string strcmd = "SELECT";
+
+            strcmd += "  PersonCode";                                       // 担当者コード
+            strcmd += ", TO_CHAR(AttendanceDate, 'YYYY/MM/DD')";            // 日報作成日
+            strcmd += ", StartDistance";                                    // 当日出発キロ数
+            strcmd += ", ComplateDistance";                                 // 当日終了キロ数
+            strcmd += ", TotalDistance";                                    // 当日合計キロ数
+            strcmd += ", OfficeGoFlg";                                      // 事務所出勤フラグ
+            strcmd += ", OfficeOutFlg";                                     // 事務所帰宅フラグ
+            strcmd += ", TrancePayGoFlg";                                   // 有料通勤出勤フラグ
+            strcmd += ", TrancePayOutFlg";                                  // 有料通勤帰宅フラグ
+            strcmd += ", WareHouseFlg";                                     // 資材置場フラグ
+            strcmd += ", TO_CHAR(EntryDate, 'YYYY/MM/DD HH24:MI:ss')";      // 登録年月日
+            strcmd += ", TO_CHAR(UpdateDate, 'YYYY/MM/DD HH24:MI:ss')";     // 更新年月日
+            strcmd += " FROM TranceportDailyData";
+
+            return strcmd;
+        }
+        #endregion
+
+        #region 複数読込み処理
+        public bool SelectAction(string AddSQLString, ref List<TranceportDailyData> data, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                // SQL作成
+                strcmd = CreateSelectSQL() + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    TranceportDailyData work = new TranceportDailyData();
+                    Reader2Struct(objwrk, ref work);
+                    data.Add(work);
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 1件読込み処理
+        public bool SelectAction(string AddSQLString, ref TranceportDailyData data, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                strcmd = CreateSelectSQL() + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (arData.Count == 0) return false;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    Reader2Struct(objwrk, ref data);
+                    break;
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 1件追加処理
+        /// <summary>
+        /// 担当者毎経費データ追加
+        /// </summary>
+        /// <param name="data">担当者毎経費データデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool InsertAction(TranceportDailyData work, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+                strcmd = "INSERT INTO TranceportDailyData";
+                strcmd += "  (PersonCode";          // 担当者コード
+                strcmd += ", AttendanceDate";       // 日報作成日
+                strcmd += ", StartDistance";        // 当日出発キロ数
+                strcmd += ", ComplateDistance";     // 当日終了キロ数
+                strcmd += ", TotalDistance";        // 当日合計キロ数
+                strcmd += ", OfficeGoFlg";          // 事務所出勤フラグ
+                strcmd += ", OfficeOutFlg";         // 事務所帰宅フラグ
+                strcmd += ", TrancePayGoFlg";       // 有料通勤出勤フラグ
+                strcmd += ", TrancePayOutFlg";      // 有料通勤帰宅フラグ
+                strcmd += ", WareHouseFlg";         // 資材置場フラグ
+                strcmd += ", EntryDate";            // 登録年月日
+                strcmd += ", UpdateDate)";          // 更新年月日
+
+                strcmd += " VALUES (";
+
+                strcmd += string.Format("  {0}", work.PersonCode);                      // 担当者コード
+                strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')"
+                                            , work.AttendanceDate.ToShortDateString()); // 日報作成日
+
+                strcmd += string.Format(", {0}", work.StartDistance);                   // 当日出発キロ数
+                strcmd += string.Format(", {0}", work.ComplateDistance);                // 当日終了キロ数
+                strcmd += string.Format(", {0}", work.TotalDistance);                   // 当日合計キロ数
+                strcmd += string.Format(", {0}", work.OfficeGoFlg);                     // 事務所出勤フラグ
+                strcmd += string.Format(", {0}", work.OfficeOutFlg);                    // 事務所帰宅フラグ
+                strcmd += string.Format(", {0}", work.TrancePayGoFlg);                  // 有料通勤出勤フラグ
+                strcmd += string.Format(", {0}", work.TrancePayOutFlg);                 // 有料通勤帰宅フラグ
+                strcmd += string.Format(", {0}", work.WareHouseFlg);                    // 資材置場フラグ
+
+                strcmd += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                strcmd += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                strcmd = strcmd + ")";
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 複数追加処理
+        public bool InsertAction(List<TranceportDailyData> data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+                foreach (TranceportDailyData work in data)
+                {
+                    if (!InsertAction(work, bConnect)) return false;
+                }
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 更新処理
+        /// <summary>
+        /// 担当者毎経費データ更新
+        /// </summary>
+        /// <param name="AddSQLString">更新条件SQL文字列</param>
+        /// <param name="data">担当者毎経費データデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool UpdateAction(string AddSQLString, TranceportDailyData data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                strcmd = "UPDATE TranceportDailyData";
+
+                strcmd += " SET";
+
+                strcmd += string.Format(" PersonCode = {0}", data.PersonCode);                  // 担当者コード
+                strcmd += string.Format(",AttendanceDate = TO_DATE('{0}','YYYY/MM/DD')"
+                                        , data.AttendanceDate.ToShortDateString());             // 日報作成日
+
+                strcmd += string.Format(",StartDistance = {0} ", data.StartDistance);           // 当日出発キロ数
+                strcmd += string.Format(",ComplateDistance = {0} ", data.ComplateDistance);     // 当日終了キロ数
+                strcmd += string.Format(",TotalDistance = {0} ", data.TotalDistance);           // 当日合計キロ数
+                strcmd += string.Format(",OfficeGoFlg = {0} ", data.OfficeGoFlg);               // 事務所出勤フラグ
+                strcmd += string.Format(",OfficeOutFlg = {0} ", data.OfficeOutFlg);             // 事務所帰宅フラグ
+                strcmd += string.Format(",TrancePayGoFlg = {0} ", data.TrancePayGoFlg);         // 有料通勤出勤フラグ
+                strcmd += string.Format(",TrancePayOutFlg = {0} ", data.TrancePayOutFlg);       // 有料通勤帰宅フラグ
+                strcmd += string.Format(",WareHouseFlg = {0} ", data.WareHouseFlg);             // 資材置場フラグ
+                
+                strcmd += ", UpdateDate = TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                strcmd += AddSQLString;
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 削除処理
+        /// <summary>
+        /// 担当者毎経費データ削除
+        /// </summary>
+        /// <param name="AddSQLString">削除条件SQL文字列</param>
+        /// <param name="data">担当者毎経費データデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool DeleteAction(string AddSQLString, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            try
+            {
+                strcmd = string.Format("{0}{1}", "DELETE FROM TranceportDailyData", AddSQLString);
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 1項目更新処理
+        /// <summary>
+        /// 1項目の更新を行う
+        /// </summary>
+        /// <param name="ConstructionCode"></param>
+        /// <param name="FeildNo"></param>
+        /// <param name="value"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool UpdateFeild(int PersonCode, DateTime AttendanceDate, int SeqNo, int FeildNo, object value, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+                strcmd = "UPDATE TranceportDailyData";
+
+                strcmd += " SET";
+                switch (FeildNo)
+                {
+                    case (int)DataColumn.PersonCode:
+                        strcmd += string.Format(" PersonCode = {0}", (int)value);
+                        break;
+                    case (int)DataColumn.AttendanceDate:
+                        strcmd += string.Format(" AttendanceDate = TO_DATE('{0}','YYYY/MM/DD')", ((DateTime)value).ToShortDateString());
+                        break;
+
+                    case (int)DataColumn.StartDistance:
+                        strcmd += string.Format(" StartDistance = {0}", (int)value);
+                        break;
+                    case (int)DataColumn.ComplateDistance:
+                        strcmd += string.Format(" ComplateDistance = {0}", (int)value);
+                        break;
+                    case (int)DataColumn.TotalDistance:
+                        strcmd += string.Format(" TotalDistance = {0}", (int)value);
+                        break;
+                    case (int)DataColumn.OfficeGoFlg:
+                        strcmd += string.Format(" OfficeGoFlg = {0}", (int)value);
+                        break;
+                    case (int)DataColumn.OfficeOutFlg:
+                        strcmd += string.Format(" OfficeOutFlg = {0}", (int)value);
+                        break;
+                    case (int)DataColumn.TrancePayGoFlg:
+                        strcmd += string.Format(" TrancePayGoFlg = {0}", (int)value);
+                        break;
+                    case (int)DataColumn.TrancePayOutFlg:
+                        strcmd += string.Format(" TrancePayOutFlg = {0}", (int)value);
+                        break;
+                    case (int)DataColumn.WareHouseFlg:
+                        strcmd += string.Format(" WareHouseFlg = {0}", (int)value);
+                        break;
+                }
+
+                strcmd += ", UpdateDate = TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                strcmd += CreatePrimarykeyString(PersonCode, AttendanceDate, SeqNo);
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region データセット処理
+        /// <summary>
+        /// OracleDataReaderより構造体へセットする
+        /// </summary>
+        /// <param name="reader">OracleDataReader</param>
+        /// <param name="wrk">構造体</param>
+        public void Reader2Struct(object[] objwrk, ref TranceportDailyData wrk)
+        {
+            try
+            {
+                // データ取得
+                wrk.PersonCode = int.Parse(objwrk[(int)DataColumn.PersonCode].ToString());                  // 担当者コード
+                wrk.AttendanceDate = DateTime.Parse(objwrk[(int)DataColumn.AttendanceDate].ToString());     // 日報作成日
+
+                wrk.StartDistance = double.Parse(objwrk[(int)DataColumn.StartDistance].ToString());         // 当日出発キロ数
+                wrk.ComplateDistance = double.Parse(objwrk[(int)DataColumn.ComplateDistance].ToString());   // 当日終了キロ数
+                wrk.TotalDistance = double.Parse(objwrk[(int)DataColumn.TotalDistance].ToString());         // 当日合計キロ数
+                wrk.OfficeGoFlg = int.Parse(objwrk[(int)DataColumn.OfficeGoFlg].ToString());                // 事務所出勤フラグ
+                wrk.OfficeOutFlg = int.Parse(objwrk[(int)DataColumn.OfficeOutFlg].ToString());              // 事務所帰宅フラグ
+                wrk.TrancePayGoFlg = int.Parse(objwrk[(int)DataColumn.TrancePayGoFlg].ToString());          // 有料通勤出勤フラグ
+                wrk.TrancePayOutFlg = int.Parse(objwrk[(int)DataColumn.TrancePayOutFlg].ToString());        // 有料通勤帰宅フラグ
+                wrk.WareHouseFlg = int.Parse(objwrk[(int)DataColumn.WareHouseFlg].ToString());              // 資材置場フラグ
+
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)DataColumn.EntryDate].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)DataColumn.UpdateDate].ToString());
+            }
+            catch (OracleException oraex)
+            {
+                logger.ErrorFormat("オラクルエラー：{0}：{1}", CommonMotions.GetMethodName(2), oraex.Message);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(2), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 検索文字列作成処理
+        /// <summary>
+        /// 主キー検索の文字列を返す
+        /// </summary>
+        /// <param name="PersonCode"></param>
+        /// <param name="ActionDate"></param>
+        /// <param name="DataType"></param>
+        /// <param name="DataAddCount"></param>
+        /// <returns></returns>
+        public string CreatePrimarykeyString(int PersonCode, DateTime AttendanceDate, int SeqNo = 0)
+        {
+            string strWork = "";
+            try
+            {
+                strWork = string.Format(" WHERE PersonCode = {0}", PersonCode);
+                if (AttendanceDate != DateTime.MinValue)
+                    strWork += string.Format(" AND AttendanceDate = TO_DATE('{0}','YYYY/MM/DD')", AttendanceDate.ToShortDateString());
+                if (SeqNo != 0)
+                    strWork += string.Format(" AND SeqNo = {0}", SeqNo);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+            }
+
+            return strWork;
+        }
+        #endregion
+
+        #region 追加番号の最大値を取得
+        /// <summary>
+        /// 追加番号の最大値を取得する
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public int SelectMaxAddDataCount(string AddSQLString, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+            int iRet = 0;
+            try
+            {
+                // SQL作成
+                strcmd = "SELECT NVL(MAX(SeqNo), 0) FROM TranceportDailyData" + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    if (objwrk[0].ToString().Equals("null"))
+                        iRet = 0;
+                    else
+                        iRet = int.Parse(objwrk[0].ToString());
+                }
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+            }
+            return iRet;
+        }
+        #endregion
+    }
+}
Index: trunk/src/ProcessManagement/ProcessManagement/DataModel/AttendanceDailyData.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DataModel/AttendanceDailyData.cs	(nonexistent)
+++ trunk/src/ProcessManagement/ProcessManagement/DataModel/AttendanceDailyData.cs	(revision 52)
@@ -0,0 +1,115 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+
+namespace ProcessManagement.DataModel
+{
+    /// <summary>
+    /// 出勤日報データ定義クラス
+    /// </summary>
+    public class AttendanceDailyData
+    {
+        #region メンバ変数
+        /// <summary>
+        /// 作成者コード
+        /// </summary>
+        private int         m_PersonCode = 0;
+        /// <summary>
+        /// 日報作成日
+        /// </summary>
+        private DateTime    m_AttendanceDate = DateTime.Now;
+        /// <summary>
+        /// 明細行番号
+        /// </summary>
+        private int         m_SeqNo = 0;
+        /// <summary>
+        /// 工事番号
+        /// </summary>
+        private int         m_ConstructionCode = 0;
+        /// <summary>
+        /// 残業時間
+        /// </summary>
+        private double      m_OvertimeHours = 0;
+        /// <summary>
+        /// コメント
+        /// </summary>
+        private string      m_WorkingComment = string.Empty;
+        /// <summary>
+        /// 登録年月日
+        /// </summary>
+        private DateTime    m_EntryDate = DateTime.Now;
+        /// <summary>
+        /// 更新年月日
+        /// </summary>
+        private DateTime    m_UpdateDate = DateTime.Now;
+        #endregion
+
+        #region プロパティ
+        /// <summary>
+        /// 作成者コード
+        /// </summary>
+        public int PersonCode
+        {
+            get { return m_PersonCode; }
+            set { m_PersonCode = value; }
+        }
+        /// <summary>
+        /// 日報作成日
+        /// </summary>
+        public DateTime AttendanceDate
+        {
+            get { return m_AttendanceDate; }
+            set { m_AttendanceDate = value; }
+        }
+        /// <summary>
+        /// 明細行番号
+        /// </summary>
+        public int SeqNo
+        {
+            get { return m_SeqNo; }
+            set { m_SeqNo = value; }
+        }
+        /// <summary>
+        /// 工事番号
+        /// </summary>
+        public int ConstructionCode
+        {
+            get { return m_ConstructionCode; }
+            set { m_ConstructionCode = value; }
+        }
+        /// <summary>
+        /// 残業時間
+        /// </summary>
+        public double OvertimeHours
+        {
+            get { return m_OvertimeHours; }
+            set { m_OvertimeHours = value; }
+        }
+        /// <summary>
+        /// 作業コメント
+        /// </summary>
+        public string WorkingComment
+        {
+            get { return m_WorkingComment; }
+            set { m_WorkingComment = value; }
+        }
+        /// <summary>
+        /// 登録年月日
+        /// </summary>
+        public DateTime EntryDate
+        {
+            get { return m_EntryDate; }
+            set { m_EntryDate = value; }
+        }
+        /// <summary>
+        /// 更新年月日
+        /// </summary>
+        public DateTime UpdateDate
+        {
+            get { return m_UpdateDate; }
+            set { m_UpdateDate = value; }
+        }
+        #endregion
+    }
+}
Index: trunk/src/ProcessManagement/ProcessManagement/DataModel/PersonApproval.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DataModel/PersonApproval.cs	(nonexistent)
+++ trunk/src/ProcessManagement/ProcessManagement/DataModel/PersonApproval.cs	(revision 52)
@@ -0,0 +1,154 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+
+namespace ProcessManagement.DataModel
+{
+    /// <summary>
+    /// 担当者承認データ
+    /// </summary>
+    public class PersonApproval
+    {
+        #region メンバ変数
+        /// <summary>
+        /// 担当者コード
+        /// </summary>
+        private int         m_PersonCode = 0;
+        /// <summary>
+        /// 承認機能番号
+        /// </summary>
+        private int         m_ApprovalCode = 0;
+        /// <summary>
+        /// 受付日
+        /// </summary>
+        private DateTime    m_OrderDate = DateTime.MinValue;
+        /// <summary>
+        /// 受付番号
+        /// </summary>
+        private int         m_OrderNo = 0;
+        /// <summary>
+        /// 枝番
+        /// </summary>
+        private int         m_SeqNo = 0;
+        /// <summary>
+        /// 申請・承認者コード
+        /// </summary>
+        private int         m_PersonCodeApproval = 0;
+        /// <summary>
+        /// 承認日付
+        /// </summary>
+        private DateTime    m_PetitionApprovalDate = DateTime.MinValue;
+        /// <summary>
+        /// 承認希望日
+        /// </summary>
+        private DateTime    m_ApprovalLimitDates = DateTime.MinValue;
+        /// <summary>
+        /// 承認状態
+        /// </summary>
+        private int         m_ApprovalStatus = 0;
+        /// <summary>
+        /// 登録日付
+        /// </summary>
+        private DateTime    m_EntryDate = DateTime.Now;
+        /// <summary>
+        /// 更新日付
+        /// </summary>
+        private DateTime    m_UpdateDate = DateTime.Now;
+        #endregion
+
+        #region コンストラクタ
+        #endregion
+
+        #region プロパティ
+        /// <summary>
+        /// 担当者コード
+        /// </summary>
+        public int PersonCode
+        {
+            get { return m_PersonCode; }
+            set { m_PersonCode = value; }
+        }
+        /// <summary>
+        /// 承認機能番号
+        /// </summary>
+        public int ApprovalCode
+        {
+            get { return m_ApprovalCode; }
+            set { m_ApprovalCode = value; }
+        }
+        /// <summary>
+        /// 受付日
+        /// </summary>
+        public DateTime OrderDate
+        {
+            get { return m_OrderDate; }
+            set { m_OrderDate = value; }
+        }
+        /// <summary>
+        /// 受付番号
+        /// </summary>
+        public int OrderNo
+        {
+            get { return m_OrderNo; }
+            set { m_OrderNo = value; }
+        }
+        /// <summary>
+        /// 枝番
+        /// </summary>
+        public int SeqNo
+        {
+            get { return m_SeqNo; }
+            set { m_SeqNo = value; }
+        }
+        /// <summary>
+        /// 申請・承認者コード
+        /// </summary>
+        public int PersonCodeApproval
+        {
+            get { return m_PersonCodeApproval; }
+            set { m_PersonCodeApproval = value; }
+        }
+        /// <summary>
+        /// 申請・承認日付
+        /// </summary>
+        public DateTime PetitionApprovalDate
+        {
+            get { return m_PetitionApprovalDate; }
+            set { m_PetitionApprovalDate = value; }
+        }
+        /// <summary>
+        /// 承認希望日
+        /// </summary>
+        public DateTime ApprovalLimitDates
+        {
+            get { return m_ApprovalLimitDates; }
+            set { m_ApprovalLimitDates = value; }
+        }
+        /// <summary>
+        /// 承認状態
+        /// </summary>
+        public int ApprovalStatus
+        {
+            get { return m_ApprovalStatus; }
+            set { m_ApprovalStatus = value; }
+        }
+        /// <summary>
+        /// 登録日付
+        /// </summary>
+        public DateTime EntryDate
+        {
+            set { m_EntryDate = value; }
+            get { return m_EntryDate; }
+        }
+        /// <summary>
+        /// 更新日付
+        /// </summary>
+        public DateTime UpdateDate
+        {
+            set { m_UpdateDate = value; }
+            get { return m_UpdateDate; }
+        }
+        #endregion
+    }
+}
